User avatar
blachanc
Posts: 466
Joined: Sat Jan 26, 2013 5:03 am
Location: Quebec,canada(french)

[SOLVED; proxy issue] 403 Forbidden on recent package (libldap-2.4-2_2.4.44+dfsg-5+deb9u4_armhf.deb)

Wed Apr 29, 2020 1:03 pm

Hi all,
Trying to update a compute module on a NEC TV.

Any way I could retreive this package somewhere?

http://raspbian.raspberrypi.org/raspbia ... mirrorlist

File information
Filename: libldap-2.4-2_2.4.44+dfsg-5+deb9u4_armhf.deb
Path: /raspbian/pool/main/o/openldap/libldap-2.4-2_2.4.44+dfsg-5+deb9u4_armhf.deb
Size: 191K (195792 bytes)
Last modified: Wed, 29 Apr 2020 04:08:43 GMT (Unix time: 1588133323)

When I try to get it, I get forbidden....


root@raspberrypi:~# wget http://raspbian.raspberrypi.org/raspbia ... _armhf.deb
--2020-04-29 08:56:33-- http://raspbian.raspberrypi.org/raspbia ... _armhf.deb
Resolving webproxy (webproxy)... 1***
Connecting to webproxy (webproxy ***1|:9090... connected.
Proxy request sent, awaiting response... 302 Found
Location: http://mirror.us.leaseweb.net/raspbian/ ... _armhf.deb [following]
--2020-04-29 08:56:34-- http://mirror.us.leaseweb.net/raspbian/ ... _armhf.deb
Reusing existing connection to webproxy
Proxy request sent, awaiting response... 403 Forbidden
2020-04-29 08:56:34 ERROR 403: Forbidden.


Thanks,
Ben
Last edited by blachanc on Wed Apr 29, 2020 2:27 pm, edited 1 time in total.
Autism/Asperger syndrome: what is your score on this quiz?
http://www.raspberrypi.org/forums/viewtopic.php?f=62&t=70191

trejan
Posts: 2526
Joined: Tue Jul 02, 2019 2:28 pm

Re: 403 Forbidden on recent package (libldap-2.4-2_2.4.44+dfsg-5+deb9u4_armhf.deb)

Wed Apr 29, 2020 1:50 pm

blachanc wrote:
Wed Apr 29, 2020 1:03 pm
Proxy request sent, awaiting response... 403 Forbidden
2020-04-29 08:56:34 ERROR 403: Forbidden.
You've got a webproxy on your network and it is denying you access. There is nothing wrong with the repo. You need to talk to whoever runs the proxy to allow access as I expect it'll also block the other mirrors.

You can try using FTP by going to ftp://ftp.mirrorservice.org/sites/archi ... g/raspbian but that may also be blocked.

User avatar
blachanc
Posts: 466
Joined: Sat Jan 26, 2013 5:03 am
Location: Quebec,canada(french)

Re: 403 Forbidden on recent package (libldap-2.4-2_2.4.44+dfsg-5+deb9u4_armhf.deb)

Wed Apr 29, 2020 2:21 pm

EDIT: Sorry,
you are right!!!

I tried from behind the proxy.
I am authenticated correctly, but my proxy blocks that site. Will have it unlocked by my IT dept.....

Have a nice day !!

Initial reply(wrong):
thank you for trying to help,
not sure about your conclusion.
all other packages donloaded fine, only the "one" that was updated last night wont update...

Can you try from your browser(right click save link):

http://raspbian.raspberrypi.org/raspbia ... mirrorlist

File information
Filename: libldap-2.4-2_2.4.44+dfsg-5+deb9u4_armhf.deb
Path: /raspbian/pool/main/o/openldap/libldap-2.4-2_2.4.44+dfsg-5+deb9u4_armhf.deb
Size: 191K (195792 bytes)
Last modified: Wed, 29 Apr 2020 04:08:43 GMT (Unix time: 1588133323)

Code: Select all

apt-get update
Hit:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Hit:2 http://archive.raspberrypi.org/debian stretch InRelease
Reading package lists... Done
root@raspberrypi:~# !9
apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  realpath vlc-plugin-notify vlc-plugin-samba vlc-plugin-video-splitter vlc-plugin-visualization
Use 'apt autoremove' to remove them.
The following packages have been kept back:
  ffmpeg libavdevice57 libavfilter6 libavformat57 libvlc-bin libvlc5 omxplayer python-gpiozero python3-gpiozero python3-thonny
  vlc vlc-bin vlc-data vlc-l10n vlc-plugin-base vlc-plugin-qt vlc-plugin-skins2 vlc-plugin-video-output wolfram-engine
The following packages will be upgraded:
  ant ant-optional apt apt-transport-https apt-utils base-files bluez-firmware chromium-browser chromium-browser-l10n
  chromium-codecs-ffmpeg-extra curl dbus dbus-user-session dbus-x11 e2fslibs e2fsprogs erlang-base erlang-crypto
  erlang-syntax-tools file fonts-opensymbol geany geany-common gettext-base git git-man gnupg gnupg-agent gpgv
  gstreamer1.0-alsa gstreamer1.0-plugins-base gstreamer1.0-x gtk2-engines-clearlookspix java-common libapt-inst2.0
  libapt-pkg5.0 libarchive13 libasound2 libasound2-data libaudiofile1 libav-tools libavcodec57 libavresample3 libavutil55
  libbasicusageenvironment1 libc-bin libc-dev-bin libc-l10n libc6 libc6-dbg libc6-dev libcaca0 libcomerr2 libcups2
  libcupsfilters1 libcupsimage2 libcurl3 libcurl3-gnutls libdbus-1-3 libebml4v5 libexif12 libexpat1 libexpat1-dev libfaad2
  libfreetype6 libfreetype6-dev libfribidi0 libgd3 libglib2.0-0 libglib2.0-bin libglib2.0-data libgroupsock8 libgs9
  libgs9-common libgstreamer-plugins-base1.0-0 libicu57 libidn11 libjaxen-java libjs-jquery libldap-2.4-2 libldap-common
  libldb1 liblivemedia57 libmagic-mgc libmagic1 libnghttp2-14 libntfs-3g871 libobrender32v5 libobt2v5 libopenjp2-7
  libpam-systemd libperl5.24 libpixman-1-0 libpng-dev libpng-tools libpng16-16 libpolkit-agent-1-0 libpolkit-backend-1-0
  libpolkit-gobject-1-0 libpostproc54 libpq5 libqt5concurrent5 libqt5core5a libqt5dbus5 libqt5gui5 libqt5network5
  libqt5opengl5 libqt5printsupport5 libqt5sql5 libqt5sql5-sqlite libqt5widgets5 libqt5xml5 libraspberrypi-bin
  libraspberrypi-dev libraspberrypi-doc libraspberrypi0 libreoffice libreoffice-avmedia-backend-gstreamer libreoffice-base
  libreoffice-base-core libreoffice-base-drivers libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw
  libreoffice-gtk libreoffice-gtk2 libreoffice-help-en-gb libreoffice-impress libreoffice-java-common libreoffice-l10n-en-gb
  libreoffice-librelogo libreoffice-math libreoffice-nlpsolver libreoffice-ogltrans libreoffice-pdfimport
  libreoffice-report-builder libreoffice-report-builder-bin libreoffice-script-provider-bsh libreoffice-script-provider-js
  libreoffice-script-provider-python libreoffice-sdbc-hsqldb libreoffice-sdbc-postgresql libreoffice-style-galaxy
  libreoffice-style-tango libreoffice-systray libreoffice-wiki-publisher libreoffice-writer libruby2.3 libsasl2-2
  libsasl2-modules libsasl2-modules-db libscsynth1 libsdl-image1.2 libsdl1.2debian libsdl2-2.0-0 libservlet3.1-java
  libsmbclient libss2 libssh-gcrypt-4 libssh2-1 libssl1.0.2 libssl1.1 libswresample2 libswscale4 libsystemd0 libtiff5 libudev1
  libusageenvironment3 libvlccore9 libvpx4 libwayland-client0 libwayland-cursor0 libwayland-server0 libwbclient0 libxapian30
  libxslt1.1 libzmq5 locales lxappearance-obconf lxplug-ejecter lxplug-network lxplug-ptbatt multiarch-support nodered ntfs-3g
  obconf openbox openssh-client openssh-server openssh-sftp-server openssl patch perl perl-base perl-modules-5.24 piclone
  pimixer pipanel piwiz policykit-1 python-automationhat python-cryptography python-piglow python-pil python-six
  python-werkzeug python3-automationhat python3-cryptography python3-isort python3-piglow python3-pil python3-six
  python3-thonny-pi python3-uno python3-werkzeug qt5-gtk-platformtheme raspberrypi-bootloader raspberrypi-kernel
  raspberrypi-ui-mods raspi-config raspi-copies-and-fills raspi-gpio rc-gui realvnc-vnc-server realvnc-vnc-viewer
  rpd-plym-splash rpi-chromium-mods rsync ruby2.3 samba-common samba-libs scratch2 ssh sudo supercollider-server systemd
  systemd-sysv tzdata udev uno-libs3 unzip ure usbutils vim-common vim-tiny vlc-plugin-notify vlc-plugin-samba
  vlc-plugin-video-splitter vlc-plugin-visualization wget wireless-regdb wiringpi wolframscript wpasupplicant xxd
256 upgraded, 0 newly installed, 0 to remove and 19 not upgraded.
Need to get 196 kB/462 MB of archives.
After this operation, 135 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Err:1 http://mirror.us.leaseweb.net/raspbian/raspbian stretch/main armhf libldap-2.4-2 armhf 2.4.44+dfsg-5+deb9u4
  403  Forbidden
E: Failed to fetch http://mirror.us.leaseweb.net/raspbian/raspbian/pool/main/o/openldap/libldap-2.4-2_2.4.44+dfsg-5+deb9u4_armhf.deb  403  Forbidden
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
root@raspberrypi:~# ping www.matrox.com
Autism/Asperger syndrome: what is your score on this quiz?
http://www.raspberrypi.org/forums/viewtopic.php?f=62&t=70191

Return to “Troubleshooting”